GenericContainerElementKind (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Class GenericContainerElementKind

- java.lang.Object
- - tv.amwa.maj.io.mxf.GenericContainerElementKind

-     public final class GenericContainerElementKind
      extends Object

  Information about each stream in a generic container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericContainerElementKind(boolean isValid, byte item, byte count, byte elementType, byte number)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getCount()`
    `byte` | `getElementType()`
    `static GenericContainerElementKind` | `getGenericContainerElementKind(UL universalLabel)`
    `static int` | `getGenericContainerTrackNumber(UL universalLabel)`
    `byte` | `getItem()`
    `byte` | `getNumber()`
    `boolean` | `isValid()`
    `static void` | `registerGenericContainerElementKey(ByteBuffer key)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericContainerElementKind

          public GenericContainerElementKind(boolean isValid,
                                             @UInt8
                                             byte item,
                                             @UInt8
                                             byte count,
                                             @UInt8
                                             byte elementType,
                                             @UInt8
                                             byte number)

  - ### Method Detail

    - #### registerGenericContainerElementKey

          public static final void registerGenericContainerElementKey(ByteBuffer key)

    - #### getGenericContainerElementKind

          public static final GenericContainerElementKind getGenericContainerElementKind(UL universalLabel)

    - #### getGenericContainerTrackNumber

          @UInt32
          public static final int getGenericContainerTrackNumber(UL universalLabel)

    - #### isValid

          public boolean isValid()

    - #### getItem

          @UInt8
          public byte getItem()

    - #### getCount

          @UInt8
          public byte getCount()

    - #### getElementType

          @UInt8
          public byte getElementType()

    - #### getNumber

          @UInt8
          public byte getNumber()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.